// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_whiteclock/wcs_sky4
{
	qer_editorimage env/ut4_whiteclock/grimmnight_rt.tga
	skyparms env/ut4_whiteclock/grimmnight 256 -
	q3map_sunEXT 1.61 1.27 .69 90 0 40 1 16
//	q3map_lightRGB 0.8 0.8 0.8
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 50 3
	q3map_globaltexture
//	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	{
		map textures/ut4_whiteclock/clouds1.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 2 3
		tcMod scroll 0.005 -0.0125
	}
}

// ---=== My Logo ===---

textures/ut4_whiteclock/wcs_lhlogob
{
	qer_editorimage textures/ut4_whiteclock/lh_logob.tga
	surfaceparm nonsolid
//	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
	q3map_surfacelight 10

	{
		map textures/ut4_whiteclock/lh_logob.tga
		blendFunc blend
	}
}

textures/ut4_whiteclock/wcs_lhlogor
{
	qer_editorimage textures/ut4_whiteclock/lh_logor.tga
	surfaceparm nonsolid
//	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	cull none
	q3map_surfacelight 10

	{
		map textures/ut4_whiteclock/lh_logor.tga
		blendFunc blend
	}
}

// ---=== FSK Signs ===---

textures/ut4_whiteclock/wcs_hologo_b
{
	qer_editorimage textures/ut4_whiteclock/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_whiteclock/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_whiteclock/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_whiteclock/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_whiteclock/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_whiteclock/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_whiteclock/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_whiteclock/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_whiteclock/wcs_hologo_r
{
	qer_editorimage textures/ut4_whiteclock/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_whiteclock/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_whiteclock/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_whiteclock/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_whiteclock/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_whiteclock/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_whiteclock/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_whiteclock/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== Ladderclip ===---

textures/ut4_whiteclock/wcs_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Glass ===---

textures/ut4_whiteclock/wcs_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_whiteclock/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_whiteclock/wcs_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_whiteclock/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}


// ---=== No Damage ===---

textures/ut4_whiteclock/black:q3map
{
	surfaceparm nodamage
}

// ---=== non-solid ===---

textures/ut4_whiteclock/wcs_lhmhand
{
	qer_editorimage textures/ut4_whiteclock/lh_minutehand1.tga
	surfaceparm nonsolid
//	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
//	cull none

	{
		map textures/ut4_whiteclock/lh_minutehand1.tga
		blendFunc blend
	}
}

textures/ut4_whiteclock/wcs_lhhhand
{
	qer_editorimage textures/ut4_whiteclock/lh_hourhand1.tga
	surfaceparm nonsolid
//	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
//	cull none

	{
		map textures/ut4_whiteclock/lh_hourhand1.tga
		blendFunc blend
	}
}

textures/ut4_whiteclock/wcs_mat5cns
{
	qer_editorimage textures/ut4_whiteclock/soc_mat5c.tga
	surfaceparm nonsolid
	{
		map textures/ut4_whiteclock/soc_mat5c.tga
		rgbGen identity
	}
}

// ===--- Light emitting textures ===---

textures/ut4_whiteclock/wcs_glowda
{
	qer_editorimage textures/ut4_whiteclock/glow_damber.tga
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map textures/ut4_whiteclock/glow_damber.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_whiteclock/wcs_gothbara
{
	qer_editorimage textures/ut4_whiteclock/lh_gothbar_amb.jpg
	q3map_lightimage textures/ut4_whiteclock/lh_gothbar_blenda.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	{
		map textures/ut4_whiteclock/lh_gothbar_amb.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whiteclock/lh_gothbar_blenda.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_whiteclock/wcs_gothbarb
{
	qer_editorimage textures/ut4_whiteclock/lh_gothbar_blu.jpg
	q3map_lightimage textures/ut4_whiteclock/lh_gothbar_blendb.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	{
		map textures/ut4_whiteclock/lh_gothbar_blu.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whiteclock/lh_gothbar_blendb.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_whiteclock/wcs_gothbarr
{
	qer_editorimage textures/ut4_whiteclock/lh_gothbar_red.jpg
	q3map_lightimage textures/ut4_whiteclock/lh_gothbar_blendr.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	{
		map textures/ut4_whiteclock/lh_gothbar_red.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whiteclock/lh_gothbar_blendr.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_whiteclock/wcs_lightbara
{
	qer_editorimage textures/ut4_whiteclock/lh_lightbar_amb.jpg
	q3map_lightimage textures/ut4_whiteclock/lh_lightbar_blendamber.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	{
		map textures/ut4_whiteclock/lh_lightbar_amb.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whiteclock/lh_lightbar_blendamber.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_whiteclock/wcs_lightbarb
{
	qer_editorimage textures/ut4_whiteclock/lh_lightbar_blu.jpg
	q3map_lightimage textures/ut4_whiteclock/lh_lightbar_blendblue.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	{
		map textures/ut4_whiteclock/lh_lightbar_blu.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whiteclock/lh_lightbar_blendblue.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_whiteclock/wcs_lightbarr
{
	qer_editorimage textures/ut4_whiteclock/lh_lightbar_red.jpg
	q3map_lightimage textures/ut4_whiteclock/lh_lightbar_blendred.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	{
		map textures/ut4_whiteclock/lh_lightbar_red.jpg
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whiteclock/lh_lightbar_blendred.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_whiteclock/wcs_rail2
{
	qer_editorimage textures/ut4_whiteclock/soc/064lig20yb.tga
	q3map_lightimage textures/ut4_whiteclock/soc/064lig20y.blend.tga
	q3map_surfacelight 1000
	//surfaceparm nomarks
	{
		map textures/ut4_whiteclock/soc/064lig20yb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whiteclock/soc/064lig20y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_whiteclock/wcs_railside1
{
	qer_editorimage textures/ut4_whiteclock/soc/064lig30ya.tga
	q3map_lightimage textures/ut4_whiteclock/soc/064lig30y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_whiteclock/soc/064lig30ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whiteclock/soc/064lig30y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_whiteclock/wcs_railside2
{
	qer_editorimage textures/ut4_whiteclock/soc/064lig30yb.tga
	q3map_lightimage textures/ut4_whiteclock/soc/064lig30y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_whiteclock/soc/064lig30yb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whiteclock/soc/064lig30y.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

// ---=== flames ===--- 

textures/ut4_whiteclock/wcs_flame1k
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 1000
	qer_editorimage textures/ut4_whiteclock/flame7.tga
	

	{
		animMap 10 textures/ut4_whiteclock/flame1.tga textures/ut4_whiteclock/flame2.tga textures/ut4_whiteclock/flame3.tga textures/ut4_whiteclock/flame4.tga textures/ut4_whiteclock/flame5.tga textures/ut4_whiteclock/flame6.tga textures/ut4_whiteclock/flame7.tga textures/ut4_whiteclock/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut4_whiteclock/flame2.tga textures/ut4_whiteclock/flame3.tga textures/ut4_whiteclock/flame4.tga textures/ut4_whiteclock/flame5.tga textures/ut4_whiteclock/flame6.tga textures/ut4_whiteclock/flame7.tga textures/ut4_whiteclock/flame8.tga textures/ut4_whiteclock/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/ut4_whiteclock/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

//soc textures

//**********************************************************************//
// LIGHT 064 - 03 : Double big lights	 				//
//**********************************************************************//
textures/ut4_whiteclock/wcs_lig_064b2k
{
	qer_editorimage textures/ut4_whiteclock/soc_064lig22ba.tga
	q3map_lightimage textures/ut4_whiteclock/soc_064lig22b.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_whiteclock/soc_064lig22ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whiteclock/soc_064lig22b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_whiteclock/wcs_lig_064r2k
{
	qer_editorimage textures/ut4_whiteclock/soc_064lig22ra.tga
	q3map_lightimage textures/ut4_whiteclock/soc_064lig22r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_whiteclock/soc_064lig22ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whiteclock/soc_064lig22r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_whiteclock/wcs_lig_064y2k
{
	qer_editorimage textures/ut4_whiteclock/soc_064lig22ya.tga
	q3map_lightimage textures/ut4_whiteclock/soc_064lig22y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_whiteclock/soc_064lig22ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whiteclock/soc_064lig22y.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_whiteclock/wcs_lig_ropB2k
{
	qer_editorimage textures/ut4_whiteclock/soc_064lig30ba.tga
	q3map_lightimage textures/ut4_whiteclock/soc_064lig30b.blend.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	{
		map textures/ut4_whiteclock/soc_064lig30ba.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whiteclock/soc_064lig30b.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_whiteclock/wcs_lig_ropR2k
{
	qer_editorimage textures/ut4_whiteclock/soc_064lig30ra.tga
	q3map_lightimage textures/ut4_whiteclock/soc_064lig30r.blend.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	{
		map textures/ut4_whiteclock/soc_064lig30ra.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whiteclock/soc_064lig30r.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_whiteclock/wcs_lig_ropY2k
{
	qer_editorimage textures/ut4_whiteclock/soc_064lig30ya.tga
	q3map_lightimage textures/ut4_whiteclock/soc_064lig30y.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ut4_whiteclock/soc_064lig30ya.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whiteclock/soc_064lig30y.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ut4_whiteclock/wcs_lig_128y2k
{
	qer_editorimage textures/ut4_whiteclock/soc_sqrlig02yc.tga
	q3map_lightimage textures/ut4_whiteclock/soc_sqrlig02y2.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_whiteclock/soc_sqrlig02yc.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_whiteclock/soc_sqrlig02y2.blend.tga
		blendfunc GL_ONE GL_ONE
//		rgbGen wave sin .3 .1 0 0.5
	}
}

//  ---=== No Damage Surfaces ===---

// lift surface, no damage

textures/ut4_whiteclock/wcs_lift1
{
	qer_editorimage textures/ut4_whiteclock/soc_grill_wall01a.tga
	surfaceparm lightfilter
	surfaceparm nodamage
	{
		map textures/ut4_whiteclock/soc_grill_wall01a.tga
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_whiteclock/wcs_floor_grate
{
	qer_editorimage textures/ut4_whiteclock/grate_metal01d.tga
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm playerclip
	surfaceparm nodamage
	cull none
        nopicmip

	{
		map textures/ut4_whiteclock/grate_metal01d.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/ut4_whiteclock/wcs_girder
{
	qer_editorimage textures/ut4_whiteclock/soc_032-10a.tga
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_whiteclock/soc_032-10a.tga
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

textures/ut4_whiteclock/wcs_girder2
{
	qer_editorimage textures/ut4_whiteclock/soc_064-20a.tga
	surfaceparm nodamage
	surfaceparm metalsteps
	{	
		map textures/ut4_whiteclock/soc_064-20a.tga
	}
	{
               map $lightmap
                blendfunc filter
                rgbGen identity
        }
}

// ---=== Orange moving ivy ===---

textures/ut4_whiteclock/wcs_vine02
{
	qer_editorimage textures/ut4_whiteclock/del_vine07.tga
	cull none
	surfaceparm alphashadow
        surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	//deformVertexes wave 194 sin 0 2 0 .2

	{
		map textures/ut4_whiteclock/del_vine07.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// ---=== green moving ivy ===---

textures/ut4_whiteclock/wcs_vine01
{
	qer_editorimage textures/ut4_whiteclock/vine06.tga
	q3map_vertexScale 1.25
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	//qer_trans 0.99
	deformVertexes wave 16 sin 0 0.5 0 0.1

	q3map_nonplanar
	q3map_shadeAngle 75

	{
		map textures/ut4_whiteclock/vine06.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// MODEL SHADERS

//models/mapobjects/bfp/gothl/gothl_lampscreen
//{
//	q3map_surfacelight 1000
//	{
//		map models/mapobjects/ut4_whiteclock/bfp/gothl/gothl_LampScreen.jpg
//		//blendfunc gl_one_minus_dst_alpha gl_src_color
//		blendfunc add
//
//	}
//}
//
//models/mapobjects/bfp/gothl/gothl_bulp
//{
//	q3map_surfacelight 1000
//	{
//		map models/mapobjects/ut4_whiteclock/bfp/gothl/gothl_bulp.tga
//		blendfunc add
//	}
//}
//
//models/mapobjects/bfp/gothl/gothl_glow
//{
//	deformvertexes autosprite
//	surfaceparm trans
//	surfaceparm noimpact
//	surfaceparm nomarks
//	surfaceparm nolightmap
//	surfaceparm nonsolid
//	qer_trans 0.70
//
//	cull none
//	{
//		map models/mapobjects/ut4_whiteclock/bfp/gothl/gothl_glow.tga
//		blendfunc GL_ONE GL_ONE
//	}
//}
//
//  --- buggered model shaders??? --- below is temp; back slash vs forward slash?

models\mapobjects\bfp\gothl\gothl_lampscreen
{
	q3map_surfacelight 1000
	{
		map models\mapobjects\bfp\gothl\gothl_lampscreen.tga
		//blendfunc gl_one_minus_dst_alpha gl_src_color
		blendfunc add

	}
}

models\mapobjects\bfp\gothl\gothl_bulp
{
	q3map_surfacelight 1000
	{
		map models\mapobjects\bfp\gothl\gothl_bulp.tga
		blendfunc add
	}
}

models\mapobjects\bfp\gothl\gothl_glow
{
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_trans 0.20

	cull none
	{
		map models\mapobjects\bfp\gothl\gothl_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

